org.apache.felix.systemready

## Interface SystemReadyCheck

Deprecated.
Use the Apache Felix Healthchecks instead.

    @Deprecated
    public interface SystemReadyCheck

Ready check services provide custom logic for signaling that particular criteria are met for when an instance is considered "ready". Examples: An asynchronous integration with another instance or a third-party service

See Also:
  `This framework is deprecated.`

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`String` `getName()` Deprecated.
`CheckStatus` `getStatus()` Deprecated.

### Method Detail

#### getName

    String getName()

Deprecated.

Returns:
  the name of this check. E.g. component name

#### getStatus

    CheckStatus getStatus()

Deprecated.

Returns:
  the state of the system